import setuptools

setuptools.setup(
    name='csst_cpic_sim',
    version='1.0.0',
    author='CSST Team',
    author_email='gzhao@niaot.ac.cn',
    description='The CSST CPIC Simulation',  # short description
    packages=setuptools.find_packages(),
    license='MIT',
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Science/Research",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
        "Programming Language :: Python :: 3.8",
        "Topic :: Scientific/Engineering :: Physics",
        "Topic :: Scientific/Engineering :: Astronomy"
    ],
    package_dir={'csst_cpic_sim': 'csst_cpic_sim'},
    include_package_data=False,

    install_requires=['numpy', 'scipy', 'astropy', 'pysynphot', 'hcipy', 'pandas'],
    python_requires='>=3.8',
)
